#!/bin/bash
#
# smbclient command generator, send any questions to ddiss@suse.de
#
# Copyright (C) David Disseldorp 2014
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SCRIPT_NAME=`basename $0`
#LOG_FILE=./$$-${SCRIPT_NAME}.log
LOG_FILE=/dev/null

function _log
{
        echo "$(date +%d-%h-%H:%M:%S) $*" >> $LOG_FILE
}

function _usage
{
	_log "$SCRIPT_NAME invalid args: $*"
	_log ""
	_log "usage: $SCRIPT_NAME <src_file> <tgt_sub_dir>"
	exit 1
}

function _enum_shares
{
        echo "netshareenum 1"
}

while [ 1 ]; do
	sleep_len=$(expr 2 + $RANDOM % 8)
        _log "enumerating shares"
        for i in $(seq 1 1); do
                _enum_shares
                sleep 0.001
        done

        sleep $sleep_len
done
